# Configurations

## Core Configuration

::: pytorch_tabular.config.DataConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.ModelConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.SSLModelConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.TrainerConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.ExperimentConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.OptimizerConfig
    options:
            heading_level: 3
::: pytorch_tabular.config.ExperimentRunManager
    options:
            heading_level: 3

## Head Configuration  

In addition to these core classes, we also have config classes for heads

::: pytorch_tabular.models.common.heads.LinearHeadConfig
    options:
            heading_level: 3
::: pytorch_tabular.models.common.heads.MixtureDensityHeadConfig
    options:
            heading_level: 3
